% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MBR-methods.R
\docType{methods}
\name{mbrPermutation,MBR-method}
\alias{mbrPermutation,MBR-method}
\alias{mbrPermutation}
\title{Inference of transcriptional networks.}
\usage{
\S4method{mbrPermutation}{MBR}(object, verbose = TRUE, ...)
}
\arguments{
\item{object}{A preprocessed object of class \linkS4class{MBR}.}

\item{verbose}{A single logical value specifying to display detailed 
messages (when verbose=TRUE) or not (when verbose=FALSE).}

\item{...}{Additional arguments passed on to the 
\code{\link{tni.permutation}} function.}
}
\value{
An \linkS4class{MBR} object with two mutual information matrices, 
one in each "TNI" slot.
}
\description{
This function takes an MBR object and computes two transcriptional networks 
inferred 
by mutual information (with multiple hypothesis testing corrections).
}
\examples{
##--- load a dataset for demonstration
data("dt4rtn", package = "RTN")
gexp <- dt4rtn$gexp
annot <- dt4rtn$gexpIDs
tfs <- dt4rtn$tfs[c("IRF8","IRF1","PRDM1","AFF3","E2F3")]

##--- run mbrPreprocess
rmbr <- mbrPreprocess(gexp=gexp, regulatoryElements = tfs, 
rowAnnotation=annot)

##--- run mbrPermutation(set nPermutations>=1000)
rmbr <- mbrPermutation(rmbr, nPermutations=10)

}
